javax.jdo.query

## Interface OrderExpression<T>

- Type Parameters:
    `T` - Java type of the expression being represented here

      public interface OrderExpression<T>

  Expression representing the ordering using an expression and a direction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `OrderExpression.OrderDirection`
    `static class` | `OrderExpression.OrderNullsPosition`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderExpression.OrderDirection` | `getDirection()` Accessor for the direction of the ordering with this expression.
    `Expression<T>` | `getExpression()` Accessor for the expression being used for ordering.
    `OrderExpression.OrderNullsPosition` | `getNullsPosition()` Accessor for the position of nulls with this expression.
    `OrderExpression<T>` | `nullsFirst()` Method to set nulls to be ordered BEFORE non-nulls.
    `OrderExpression<T>` | `nullsLast()` Method to set nulls to be ordered AFTER non-nulls.

- - ### Method Detail

    - #### getDirection

          OrderExpression.OrderDirection getDirection()

      Accessor for the direction of the ordering with this expression.
      Returns:
        The direction

    - #### getExpression

          Expression<T> getExpression()

      Accessor for the expression being used for ordering.
      Returns:
        Ordering expression

    - #### getNullsPosition

          OrderExpression.OrderNullsPosition getNullsPosition()

      Accessor for the position of nulls with this expression.
      Returns:
        The nulls position (or null if not defined)

    - #### nullsFirst

          OrderExpression<T> nullsFirst()

      Method to set nulls to be ordered BEFORE non-nulls.
      Returns:
        The order expression

    - #### nullsLast

          OrderExpression<T> nullsLast()

      Method to set nulls to be ordered AFTER non-nulls.
      Returns:
        The order expression

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.